# Method Standards.JSON.Validator()->has_schema_mapping_mapping()

Method has_schema_mapping_mapping

  `private bool has_schema_mapping_mapping(mapping(string:mixed) schema, string property)`

Description

  Test if the `schema` has the specified `property` and the value of the `property` is a mapping(string:mapping).

Throws

  Throws an error if the value of the `property` is no `mapping(string:mapping)`.

Returns

  1 if the `schema` has the specified `property`.